:root {
    --medium-green: #1b784a;
    --white: #ffffff;
    --black-01: #161616;
    --light-green: #4ab87f;
    --header-height: clamp(2.5rem, 3vw, 3.5rem);
    --nav-height: clamp(3.5rem, 4vw, 5rem);
    --font-size-base: clamp(0.875rem, 0.9vw, 1rem);
    --font-size-sm: clamp(0.75rem, 0.8vw, 0.875rem);
    --spacing: clamp(0.5rem, 2vw, 2.5rem);
    --ibmregular: "IBM Plex Regular";
    --ibmsemibold: "IBM Plex SemiBold";
    --ibmbold: "IBM Plex Bold";
}

@font-face {
    font-family: "IBM Plex Regular";
    src: url("/themes/uoj_theme/fonts/IBMPlexSansArabic-Regular.ttf") format("truetype");
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "IBM Plex SemiBold";
    src: url("/themes/uoj_theme/fonts/IBMPlexSansArabic-SemiBold.ttf") format("truetype");
    font-weight: 600;
    font-display: swap;
}

@font-face {
    font-family: "IBM Plex Bold";
    src: url("/themes/uoj_theme/fonts/IBMPlexSansArabic-Bold.ttf") format("truetype");
    font-weight: 700;
    font-display: swap;
}

@keyframes dropdown-menu-anim {
    0% {
        transform: translateY(-3rem);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

html {
    width: 100%;
    overflow-x: hidden;
}

#block-universitymenu .contextual+.header {
    margin-top: 2.5rem;
}

#block-universitymenu .contextual+.header+header {
    z-index: 12;
}

.utility-btn.active,
.utility-btn.active:hover {
    background-color: var(--button-background-primary-default) !important;
    border: none !important;
}

.utility-btn.active span {
    color: white;
}

.navLinksContainer .utility-btn.active::after {
    background-color: var(--background-primary-400);
}

.utility-btn.active img {
    filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(1%) hue-rotate(328deg) brightness(101%) contrast(101%);
}

body {
    font-family: var(--ibmregular);
    position: relative;
    width: 100%;
    padding: 0px;
    margin: 0px;
}

.lang-menu a.active::before {
    content: "";
    position: absolute;
    left: 0.5rem;
    background-image: url("/themes/uoj_theme/media/tick.png");
    height: .7rem;
    width: .7rem;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left center;
    top: 50%;
    transform: translateY(-50%);
}

.rightAlignedLinks {
    display: flex;
    align-items: center;
    gap: var(--spacing-md);
}

html:has(.dropdown-open),
body.dropdown-open {
    overflow: hidden !important;
}

.navbar-brand {
    margin: 0px;
}

.navbar-brand img:first-child {
    border-left: 1px solid rgba(59, 59, 57, 0.28);
    padding-left: var(--spacing-xl);
    height: 3.5rem;
}

.closeMenu {
    margin-inline-start: auto;
    margin-inline-end: 0;
    display: flex;
    height: 40px;
    min-height: 40px;
    max-height: 40px;
    width: 40px;
    justify-content: center;
    align-items: center;
    padding: 0;
    border-radius: var(--radius-sm);
    background: #f3f4f6 !important;
    margin-bottom: 1rem;
}

.closeMenu svg rect {
    fill: #f3f4f6 !important;
}

.navbar-brand img:last-child {
    padding-right: var(--spacing-xl);
    width: 9rem;
    height: 3.6rem;
}

.main-nav .navbar {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 1rem;
    gap: 1.7rem;
    width: 100%;
}

button.navbar-toggler {
    color: white;
    display: flex;
    flex-direction: column;
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    margin-inline-start: auto;
    margin-inline-end: 0;
    position: absolute;
    right: 30px;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.2);
    width: 32px;
    height: 32px;
    align-items: center;
    justify-content: center;
}

button.navbar-toggler span {
    color: black;
    background-color: black;
    height: 12px;
    line-height: 1;
}

.top-header {
    background-color: rgb(248, 249, 250);
    border-bottom: 0.0625rem solid rgb(222, 226, 230);
    padding: clamp(0.5rem, 0.7vw, 0.75rem) 0px;
}

.top-header-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
    width: 100%;
    max-width: 120rem;
    margin: 0px auto;
    padding: 0 var(--spacing);
}

.top-links {
    display: flex;
    flex-flow: column wrap;
    gap: 0 var(--spacing-md);
    width: 100%;
    display: none;
}

.nav-menu .top-links {
    display: flex;
}

.top-links li.nav-item {
    list-style-type: none;
}

.site-info {
    font-size: var(--font-size-sm);
    color: rgb(102, 102, 102);
}

.site-info span {
    color: var(--light-green);
    margin-right: 0.5rem;
    cursor: pointer;
}

.site-info img {
    filter: invert(32%) sepia(69%) saturate(631%) hue-rotate(110deg) brightness(92%) contrast(94%);
    cursor: pointer;
}

header {
    position: relative;
    width: 100%;
    z-index: 98;
    top: 0px;
}

.main-nav {
    background-color: var(--medium-green);
    margin: auto;
    padding: 0;
}

.nav-content {
    width: 100%;
}

.navbar .d-flex {
    justify-content: space-between;
    width: 100%;
    padding: 0.5rem 1rem;
}

.contact-btn {
    background-color: transparent;
    color: var(--white);
    border: none;
    display: inline-flex;
    align-items: center;
    gap: var(--spacing-xs);
    cursor: pointer;
    padding: 0;
    padding: 0px var(--spacing-md) !important;
    min-height: 32px;
    height: 32px;
    position: relative;
    border-radius: var(--radius-sm);
}

.contact-btn:hover,
.lang-dropdown:hover {
    background-color: var(--button-background-transparent-hovered);
    border-radius: var(--radius-sm);
}

.lang-dropdown.open {
    background-color: var(--button-background-transparent-selected);
    border-radius: var(--radius-sm);
}

.contact-btn span {
    display: none;
}

.contact-btn img {
    height: 1.1rem;
}

.secondary-nav {
    background-color: var(--white);
    padding: 0px;
}

.secondary-nav-content {
    width: 100%;
    margin: 0px auto;
    justify-content: flex-start;
    background-color: white;
    overflow: visible;
    flex-direction: column;
}

.secondary-nav-content .leftSection {
    display: flex;
    align-items: center;
    gap: var(--spacing-xl);
    justify-content: center;
    overflow: visible;
}

.mobile-menu-toggle {
    display: none;
    flex-direction: column;
    justify-content: space-around;
    width: 2rem;
    height: 2rem;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0px;
    z-index: 1;
    position: relative;
}

.mobile-menu-toggle span {
    width: 100%;
    height: 0.25rem;
    background-color: var(--black-01);
    border-radius: 0.125rem;
    transition: 0.3s;
    transform-origin: center center;
}

.secondary-nav-content.menu-open .mobile-menu-toggle span:nth-child(1) {
    transform: rotate(45deg) translate(0.375rem, 0.375rem);
}

.secondary-nav-content.menu-open .mobile-menu-toggle span:nth-child(2) {
    opacity: 0;
}

.secondary-nav-content.menu-open .mobile-menu-toggle span:nth-child(3) {
    transform: rotate(-45deg) translate(0.375rem, -0.375rem);
}

.nav-menu {
    display: flex;
    gap: 0;
    list-style: none;
    margin: 0px;
    overflow-x: auto;
    width: 100vw;
    scrollbar-width: thin;
    position: fixed;
    left: 0px;
    right: 0px;
    top: 0;
    background-color: white;
    z-index: 5;
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem 1rem;
    height: calc(1dvh* 100);
    overflow: auto;
    padding: var(--spacing-xl) var(--spacing-xl) var(--spacing-8xl);
}

.nav-menu .vision,
.nav-menu .logo-uj {
    display: block;
    height: clamp(2.25rem, 2.8vw, 3rem);
    width: auto;
    object-fit: contain;
    margin: 0px clamp(0.75rem, 1vw, 1.25rem);
}

.nav-menu .logo-uj {
    height: clamp(2.5rem, 3.2vw, 3.5rem);
}

.navbar-nav {
    padding: 0px;
    width: 100%;
}

header .nav-item {
    position: static;
    width: 100%;
    border-bottom: 1px solid rgb(206 207 210 / 40%);
}

.nav-menu .nav-item:last-child {
    position: relative;
}

.mega-dropdown-grid {
    display: flex;
    flex-direction: column;
    padding-top: var(--spacing-xl);
}

header .nav-link,
header .secondary-nav-content .top-links .nav-item .nav-link {
    color: var(--medium-green);
    text-decoration: none;
    font-size: 1rem;
    align-items: center;
    gap: 0.5rem;
    transition: 0.3s;
    white-space: nowrap;
    position: relative;
    border-radius: 0.3rem;
    font-family: var(--ibmbold);
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 1rem 0;
    padding: 1rem 1rem;
    width: 100%;
    text-align: inherit;
    padding: 0;
    font-family: var(--ibmsemibold);
    font-size: var(--text-sm);
    color: var(--text-default) !important;
    padding: var(--spacing-xl) var(--spacing-xl) var(--spacing-xl) var(--spacing-xl);
}

header .secondary-nav-content .top-links .nav-item .nav-link:hover {
    background-color: var(--button-background-transparent-hovered);

}

header li.nav-item a.nav-link {
    padding: 1rem 1rem;
    width: 100%;
    text-align: inherit;
    padding: 0;
    font-family: var(--ibmsemibold);
    font-size: var(--text-sm);
    color: var(--text-default);
    padding: var(--spacing-xl) var(--spacing-xl) var(--spacing-xl) var(--spacing-xl);
    font-weight: unset;
    gap: var(--spacing-md);
    border-radius: var(--radius-md);
}

header .secondary-nav-content .top-links .nav-item .nav-link {
    padding: var(--spacing-xl) var(--spacing-xl) var(--spacing-xl) var(--spacing-xl);
    border-radius: var(--radius-sm);
    gap: var(--spacing-2);
}

header li.nav-item a.nav-link.active {
    background-color: #e5e7eb;
}

header li.nav-item a.nav-link.active::before {
    opacity: 0;
    content: "";
    position: absolute;
    height: 60%;
    width: .3rem;
    border-radius: 1rem;
    right: 0rem;
    top: 50%;
    transform: translateY(-50%);
    background-color: var(--medium-green);
}

.nav-link i {
    font-size: 0.7em;
}

.navbar .container.mega-dropdown {
    position: relative;
    left: 0px;
    right: 0px;
    background: var(--white);
    display: none;
    z-index: 1;
    width: 100%;
    top: 0;
}

.nav-item.open .mega-dropdown {
    display: block;
}

.mega-dropdown:has(.mega-section mega-section--full) .mega-section mega-section--full {
    grid-template-columns: repeat(4, 1fr);
}



.mega-dropdown-grid-spaced {
    margin-top: clamp(2rem, 3vw, 4rem);
}

.mega-section-title {
    margin: 0;
    color: var(--medium-green);
    font-size: 1.125rem;
    line-height: 1.75rem;
    border: none;
    font-family: var(--ibmbold);
    position: relative;
    padding-right: 2.5rem;
    text-align: right;
    background-color: transparent !important;
    display: flex;
    gap: var(--spacing-md);
    font-size: var(--text-sm);
    color: var(--text-default);
    font-family: var(--ibmRegular);
    padding: var(--spacing-md) var(--spacing-5xl) var(--spacing-md) var(--spacing-xl);
    border: none;
    width: 100%;
    position: relative;
    line-height: 24px;
    transition: none !important;
}

.mega-section-title[aria-expanded="true"]::after {
    transform: rotate(180deg);
}

.mega-section-title::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 1rem;
    background: url("/themes/uoj_theme/media/blackchevron.png");
    height: .7rem;
    width: .7rem;
    background-repeat: no-repeat;
    background-size: contain;
    transition: all .3s ease-in-out;
}

.mega-section-title::before {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-image: url("/themes/uoj_theme/media/icon.png");
    background-size: contain;
    background-repeat: no-repeat;
    height: 1.6rem;
    width: 1.7rem;
    right: 0px;
    display: none;
}

.mega-section-title i {
    color: var(--medium-green);
    font-size: 1.1em;
}

.mega-links {
    list-style: none;
    padding: 0 1rem 1rem;
    margin: 0px;
    border-bottom: 1px solid rgb(0 0 0 / 10%);
}

.mega-links li {
    display: flex;
    justify-content: flex-start;
}

.mega-links a {
    border: none;
    text-align: right;
    font-size: var(--text-sm);
    color: var(--text-default);
    font-family: var(--IBM-regular);
    padding: var(--spacing-md) var(--spacing-5xl) var(--spacing-md) var(--spacing-xl);
    border: none;
    width: 100%;
    display: block;
    position: relative;
    line-height: 24px;
    transition: none !important;
}


.mega-links a:hover::before,
.mega-links a:active::before {
    content: "";
    background-color: var(--background-neutral-800);
    width: 6px;
    height: 24px;
    border-radius: var(--radius-full);
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    display: none;
}

.utility-links {
    display: flex;
    gap: 0;
    align-items: center;
    flex-flow: wrap;
    justify-content: flex-start;
    width: fit-content;
}

.main-nav .utility-links button img {
    filter: brightness(0) saturate(100%) invert(92%) sepia(93%) saturate(0%) hue-rotate(202deg) brightness(106%) contrast(106%);
}

.utility-links button span {
    display: none;
}

.utility-btn {
    font-family: var(--ibmregular);
    background: none;
    border: none;
    color: var(--black-01);
    font-size: 1rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0px;
    display: none;
    border-radius: var(--radius-sm) !important;
}

.navLinksContainer .utility-btn {
    border-radius: var(--radius-sm) !important;
    display: flex;
    position: relative;
    cursor: pointer;
    height: 40px;
    min-width: 40px;
    gap: var(--spacing-xs);
}

.navLinksContainer .utility-btn.myUJ img {
    display: none;
}

.utility-links .utility-btn:hover {
    background-color: var(--button-background-neutral-default);
    border: none !important;
}

.main-nav .utility-btn {
    display: flex;
}

.myUJ {
    background-color: var(--medium-green);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    padding: 0.7rem 1rem;
    border-radius: .5rem;
    margin-bottom: 2rem;
    padding-left: 1.5rem;
    display: none;
}

.nav-menu .myUJ {
    display: flex;
}

.myUJ span {
    position: relative;
    color: white !important;
}

.myUJ span::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-image: url("/themes/uoj_theme/media/arrow-left.svg");
    height: 1rem;
    width: 1rem;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    left: -1.7rem;
}

.myUJ img {
    filter: brightness(0) saturate(100%) invert(99%) sepia(15%) saturate(507%) hue-rotate(151deg) brightness(117%) contrast(100%);
}

.utility-btn i {
    font-size: 1.1em;
}

img.icons {
    height: 1.1rem;
    width: 1.1rem;
}

.rightAlignedLinks img.icons {

    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(1%) hue-rotate(138deg) brightness(103%) contrast(101%);
}

img.chevron-icon {
    width: 11.24px;
    margin-right: .3rem;
    height: 6.25px;
    transition: transform 0.4s;
    transform-origin: center center;
}

.lang-dropdown .chevron-icon {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(1%) hue-rotate(138deg) brightness(103%) contrast(101%);
}

.lang-dropdown {
    position: relative;
}

.lang-dropdown .utility-btn {
    position: relative;
    padding: 0 var(--spacing-sm) !important;
    min-height: 32px;
    height: 32px;
    align-items: center;
    border-radius: var(--radius-sm) !important;
}

.lang-dropdown button {
    position: relative;
    color: var(--white);
    border: none;
    display: inline-flex;
    align-items: center;
    gap: var(--spacing-xs);
    cursor: pointer;
    padding: 0 !important;
}

.lang-dropdown button span {
    display: none;
}

.lang-menu {
    position: absolute;
    top: 100%;
    right: 0px;
    background: var(--white);
    border-radius: var(--radius-sm);
    box-shadow: var(--shadow-xl);
    min-width: clamp(8rem, 5vw, 12rem);
    margin-top: 1rem;
    display: none;
    z-index: 1001;
    border: 1px solid var(--border-neutral-primary);
    padding: var(--spacing-md);
}

.lang-dropdown.open .lang-menu {
    display: block;
}

.nav-item.open .chevron-icon,
.lang-dropdown.open .chevron-icon {
    transform: rotate(180deg);
}

.lang-menu a {
    display: block;
    padding: var(--spacing-md);
    color: var(--black-01);
    text-decoration: none;
    font-size: var(--text-md);
    position: relative;
    border-radius: var(--radius-sm);
    cursor: pointer;
}

.lang-menu a:hover {
    background-color: #f3f4f6;
    color: var(--bs-dropdown-link-hover-color);
    text-decoration: underline;
}

.lang-menu a.active {
    background-color: #f3fcf6;
    color: #1b8354;
}

.page-en .top-header,
.page-en .main-nav,
.page-en .secondary-nav,
.page-en .navbar .d-flex>*,
.page-en .mega-dropdown-grid {
    direction: ltr;
}

.page-en .mega-links {
    text-align: start;
}

.page-en .mega-section-title {
    text-align: start;
}

.page-en .nav-menu .nav-item:last-child::before {
    left: auto;
    right: 0px;
}

.page-en .secondary-nav-content {
    padding-left: 0.4rem;
}

/* SEARCH BOX CONTAINER START */
.searchbox-container {
    position: absolute;
    top: 12.8rem;
    left: 0px;
    right: 0px;
    width: 100%;
    height: 100%;
    z-index: 9;
    display: none;
    border-top: none;
    animation: 1s ease 0s 1 normal none running dropdown-menu-anim;
    overflow: hidden;
    padding: 0;
    box-shadow: var(--shadow-lg);
}

.searchbox-container.show {
    display: flex;
}

.searchbox-container .search-box {
    display: flex;
    align-items: center;
    background-color: white;
    padding: 1rem;
    justify-content: space-between;
    width: 100%;
    height: fit-content;
    z-index: 1;
    position: relative;
    flex-direction: column;
    gap: var(--spacing-2xl);
}

.searchbox-container .search-box input {
    background-color: transparent;
    border: none;
    outline: none;
    border: 1px solid #9DAAAE;
    font-size: var(--text-md);
    width: 100%;
    padding: var(--spacing-md);
    border-radius: var(--radius-4);
}

.searchbox-container .search-box button,
.searchbox-container .search-box .close-search {
    /* padding: 1rem; */
    /* margin: 0px 1.2rem 0px 0px; */
    /* border: 1px solid rgba(0, 0, 0, 0.15); */
    /* border-radius: 50%; */
    /* background-color: transparent; */
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: center; */
    cursor: pointer;
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    max-width: var(--container-max-width-desktop);
}

.close-search svg {

float: inline-end;
}
.search-box .uj-container {

    gap: var(--spacing-xl);
    display: flex;
    flex-direction: column;
}
.searchbox-container .search-box button {

    border-radius: var(--radius-4);
    background-color: var(--button-background-primary-default);
    padding: var(--spacing-2);
}

searchbox-container .search-box button:hover {
    background-color: var(--button-background-primary-hovered);
}

.searchbox-container .search-box input::placeholder {
    color: #384250;
}

.searchbox-container .search-box button {

    border-radius: var(--radius-4);
    background-color: var(--button-background-primary-default);
    padding: var(--spacing-2);
}

.searchbox-container .search-box button,
.searchbox-container .search-box .close-search {
    /* padding: 1rem; */
    /* margin: 0; */
    /* border-radius: 50%; */
    /* background-color: transparent; */
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: center; */
    /* cursor: pointer; */
}

.searchbox-container .search-box button span {
    color: #ffffff;
}

.searchbox-container .search-box button svg,
.searchbox-container .search-box .close-search svg {
    height: 1rem;
    width: 1rem;
}

.searchbox-container .search-box .close-search svg {
    border-radius: var(--radius-4);
}

.searchbox-container .search-box .close-search svg:hover {
    background-color: var(--button-background-neutral-hovered);
}

.searchbox-container .search-box button svg,
.searchbox-container .search-box .close-search svg {
    height: auto;
    width: auto;
    padding: var(--spacing-md);
}

.searchbox-container .search-box button svg path:first-child,
.searchbox-container .search-box .close-search svg path:first-child {
    fill: var(--icon-default);
}

.searchbox-container .search-box button svg path,
.searchbox-container .search-box .close-search svg path {
    stroke: var(--icon-default);
}

/* SEARCH BOX CONTAINER END */
@media (min-width: 992px) {
    .searchbox-container .search-box .uj-container {
        display: flex;
        gap: var(--spacing-xl);
        padding: 0;
        flex-direction: row;
    }

    .mega-links a:hover {
        background-color: var(--button-background-neutral-hovered);
        text-decoration: underline;
    }

    header .secondary-nav-content .top-links .nav-item:hover a {
        color: rgb(255 255 255 /80%) !important;
    }

    .navLinksContainer .utility-btn.myUJ img {
        display: block;
    }

    .secondary-nav-content .navbar-nav .nav-item .nav-link::after,

    .utility-btn {
        display: flex;
    }

    .myUJ {
        display: flex;
    }

    .mega-links a:hover::before,
    .mega-links a:active::before {
        display: none;
    }

    .myUJ span {
        color: var(--text-default) !important;
    }

    .navbar .d-flex {
        padding: 0;
    }

    .mega-section.mega-section--full {
        padding: var(--spacing-4xl) 0 0;
        max-width: var(--container-max-width-desktop);
        max-width: 1367px;
        margin: auto;
    }

    header .nav-link,
    header .secondary-nav-content .top-links .nav-item .nav-link {
        font-size: 1.4rem;
    }

    .navbar .d-flex {
        border: 1px solid rgb(255 255 255 / 25%);
        border-top: 0;
        padding: 0;
        gap: var(--spacing-xl);
        max-width: var(--container-max-width-desktop);
        margin: auto;
    }

    .mega-links {
        border: none !important;
    }

    header li.nav-item a.nav-link.active::before {
        display: none;
    }

    .mega-links a {
        color: rgba(39, 39, 39, 0.85);
        border: none;
        padding: var(--spacing-md) var(--spacing-xl);
        border-radius: var(--radius-md);
    }

    .mega-section-title {
        pointer-events: none;
        color: var(--text-primary);
        font-size: var(--text-lg);
        line-height: 28px;
        border: none;
        font-family: var(--ibmBold);
        background-color: transparent !important;
        padding: 0 var(--spacing-xl) 0 var(--spacing-3xl);
    }

    .mega-section-title::after {
        display: none;
    }

    .mega-links.collapse:not(.show) {
        display: flex;
        flex-direction: column;
        padding: 0;
    }

    .mega-section--full .mega-links {
        display: grid;
        grid-auto-flow: column;
        grid-template-rows: repeat(6, auto);
        column-gap: 0rem;
    }

    .mega-dropdown-grid {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        max-width: var(--container-max-width-desktop);
        max-width: 1367px;
        margin: auto;
    }

    .nav-item:has(.mega-section--full) .mega-dropdown-grid {
        grid-template-columns: repeat(5, 1fr);
    }

    .mega-section--full .mega-links,
    .mega-section--full .mega-links.collapse:not(.show) {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        column-gap: 0;
    }

    .mega-section--full .mega-links li {
        max-width: 80%;
    }

    .navbar .container.mega-dropdown {
        position: fixed;
        left: 0px;
        right: 0px;
        background: var(--white);
        display: none;
        z-index: 1;
        width: 100%;
        overflow: auto;
        max-height: 100vh;
        top: 0;
        padding: 0 !important;
        overflow: auto;
        height: auto;
        max-height: calc(1dvh* 78);
    }

    .searchbox-container {

        top: 10rem;

    }

    .searchbox-container .search-box {
        border-bottom-left-radius: var(--radius-16);
        border-bottom-right-radius: var(--radius-16);
        margin: 0 auto;
        gap: var(--spacing-5xl);
    }

    .searchbox-container .search-box button {
        background-color: var(--button-background-primary-default);
        color: white;
        height: unset;
        width: fit-content;
        border-radius: var(--radius-4);
        padding: 0 var(--spacing-xl);
        height: 40px;
    }

    .searchbox-container .search-box button:hover {
        background-color: var(--button-background-primary-hovered);
    }

    .searchbox-container .search-box .close-search {
        /* position: absolute; */
        /* top: 0.1rem; */
        /* left: 4rem; */
        /* border: none; */
        /* margin: auto; */
        /* max-width: var(--container-max-width-desktop); */
        /* justify-content: flex-start; */
    }

    .searchbox-container .search-box button span {
        color: #ffffff!important;
    }

    .secondary-nav-content .leftSection {
        justify-content: space-between;
    }

    .secondary-nav-content .navbar-nav .nav-item a.nav-link:hover,
    .utility-btn.searchButton:hover {
        background-color: var(--button-background-neutral-default);
    }

    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus,
    .utility-btn.searchButton:focus,
    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus-visible,
    .utility-btn.searchButton:focus-visible,
    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus-within,
    .utility-btn.searchButton:focus-within {
        border: 2px solid var(--border-black);
        background-color: transparent;
    }

    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus:hover::after,
    .utility-btn.searchButton:focus:hover::after,
    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus-visible::after,
    .utility-btn.searchButton:focus-visible::after,
    .secondary-nav-content .navbar-nav .nav-item a.nav-link:focus-within::after,
    .utility-btn.searchButton:focus-within::after {
        content: none !important;
    }

    .contact-btn span,
    .lang-dropdown button span {
        display: block;
        font-size: var(--text-md);
    }

    .navbar .container.mega-dropdown {
        top: unset;
        padding: var(--spacing-4xl)!important;
    }

    .secondary-nav-content .nav-item .nav-link.active,
    .secondary-nav-content .nav-item .nav-link.active:hover {
        background-color: var(--button-background-neutral-pressed);
        text-decoration: none;
    }

    .secondary-nav-content .nav-menu .nav-item .nav-link {
        color: var(--black-01) !important;
        font-family: var(--ibmregular);
        font-size: var(--text-md);
        border: 2px solid transparent;
    }

    .secondary-nav-content .navLinksContainer .nav-item .nav-link {
        border-radius: var(--radius-sm);
        display: flex;
        position: relative;
        cursor: pointer;
        height: 72px;
        min-width: 72px;
        gap: var(--spacing-xs);
        padding: var(--spacing-3xl) var(--spacing-xl) !important;
    }

    .secondary-nav-content .navbar-nav .nav-item .nav-link::after,
    .utility-btn::after {
        content: "" !important;
        height: 6px;
        background-color: transparent;
        width: 100%;
        position: absolute;
        bottom: 0rem;
        border-radius: var(--radius-full);
        width: 90%;
        left: 50%;
        transform: translateX(-50%);
    }

    .lang-dropdown .utility-btn::after,
    .lang-dropdown .utility-btn:hover::after {
        content: none !important;
    }

    .secondary-nav-content .nav-item .nav-link.active::after,
    .secondary-nav-content .nav-item:hover .nav-link.active::after {
        background-color: var(--background-neutral-800);
    }

    .secondary-nav-content .navLinksContainer .nav-item .nav-link:hover::after,
    .utility-btn:hover::after {
        content: "" !important;
        height: 6px;
        background-color: var(--background-neutral-400);
        width: 100%;
        position: absolute;
        bottom: 0rem;
        border-radius: var(--radius-full);
        width: 90%;
        left: 50%;
        transform: translateX(-50%);
    }

    .utility-btn {
        padding: var(--spacing-3xl) var(--spacing-2xl) !important;
    }

    .navLinksContainer .utility-btn {
        min-height: 72px;
        height: 72px;
    }

    .myUJ {
        background-color: transparent;
        text-align: inherit;
        border-radius: 0;
        margin-bottom: 0;
        color: var(--black-01);
    }

    .main-nav .navbar {
        justify-content: space-between;
        gap: var(--spacing-xl);
        max-width: var(--container-max-width-desktop);
        margin: auto;
        padding: var(--spacing-md) 0;
    }

    img.icons {
        height: 1rem;
        width: 1rem;
        filter: none;
    }

    .top-links {
        display: flex;
        flex-direction: row;
        width: fit-content;
        padding: 0;
    }

    .top-links a {
        width: fit-content;
    }

    .top-links li.nav-item,
    .navbar-nav li.nav-item {
        border: none;
        width: fit-content;
    }

    .utility-links button span {
        display: block;
    }

    header .nav-link,
    header .secondary-nav-content .top-links .nav-item .nav-link {
        color: var(--white) !important;
        text-decoration: none;
        font-size: var(--text-md);
        font-family: var(--ibmregular);
        padding: 0 !important;
        width: fit-content;
    }

    header .secondary-nav-content .top-links .nav-item .nav-link {
        padding: 0px var(--spacing-md) !important;
        min-height: 32px;
        height: 32px;
    }

    .nav-menu {
        position: relative;
        left: unset;
        right: unset;
        top: 0rem;
        background-color: transparent;
        z-index: 0;
        flex-direction: row;
        align-items: center;
        padding: 0px;
        height: unset;
        width: fit-content;
    }

    .utility-links {
        flex-direction: row;
        flex-wrap: nowrap;
    }
}

@media(min-width:1200px) {
    .searchbox-container .search-box {
        padding: var(--spacing-4xl) 0;
    }

}
@media(min-width:1440px){
       .navbar .container.mega-dropdown{
        
/* max-height: calc(1dvh * 100); */
    }
}
@media (min-width: 1600px) {
    :root {
        --header-height: 3.5vw;
        --nav-height: 4.5vw;
        --font-size-base: 0.9vw;
        --font-size-sm: 0.75vw;
        --spacing: 1.2vw;
    }
    .navbar .container.mega-dropdown{
        
max-height: calc(1dvh * 100);
    }
    .navbar-brand img:last-child {
        width: 9vw;
        height: 3.1vw;
    }

    .navbar-brand img:first-child {
        height: 3vw;
    }
}














